com.mysql.jdbc

## Class RowDataStatic

- java.lang.Object
- - com.mysql.jdbc.RowDataStatic

All Implemented Interfaces:
  RowData

    public class RowDataStatic
    extends java.lang.Object
    implements RowData

Represents an in-memory result set

### Field Summary

Fields
`(package private) ResultSetImpl` `owner`

### Fields inherited from interface com.mysql.jdbc.RowData

`RESULT_SET_SIZE_UNKNOWN`

### Constructor Summary

Constructors
Constructor and Description
`RowDataStatic(java.util.List<ResultSetRow> rows)` Creates a new RowDataStatic object.

### Method Summary

Methods
`void` `addRow(ResultSetRow row)` DOCUMENT ME!
`void` `afterLast()` Moves to after last.
`void` `beforeFirst()` Moves to before first.
`void` `beforeLast()` DOCUMENT ME!
`void` `close()` DOCUMENT ME!
`ResultSetRow` `getAt(int atIndex)` DOCUMENT ME!
`int` `getCurrentRowNumber()` DOCUMENT ME!
`ResultSetInternalMethods` `getOwner()` Returns the result set that 'owns' this RowData
`boolean` `hasNext()` DOCUMENT ME!
`boolean` `isAfterLast()` Returns true if we got the last element.
`boolean` `isBeforeFirst()` Returns if iteration has not occured yet.
`boolean` `isDynamic()` DOCUMENT ME!
`boolean` `isEmpty()` DOCUMENT ME!
`boolean` `isFirst()` DOCUMENT ME!
`boolean` `isLast()` DOCUMENT ME!
`void` `moveRowRelative(int rowsToMove)` DOCUMENT ME!
`ResultSetRow` `next()` DOCUMENT ME!
`void` `removeRow(int atIndex)` DOCUMENT ME!
`void` `setCurrentRow(int newIndex)` DOCUMENT ME!
`void` `setMetadata(Field[] metadata)` Sometimes the driver doesn't have metadata until after the statement has the result set in-hand (because it's cached), so it can call this to set it after the fact.
`void` `setOwner(ResultSetImpl rs)` Set the result set that 'owns' this RowData
`int` `size()` DOCUMENT ME!
`boolean` `wasEmpty()` Did this result set have no rows?

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### owner

    ResultSetImpl owner

### Constructor Detail

#### RowDataStatic

    public RowDataStatic(java.util.List<ResultSetRow> rows)

Creates a new RowDataStatic object.

Parameters:
  `rows` - DOCUMENT ME!

### Method Detail

#### addRow

    public void addRow(ResultSetRow row)

DOCUMENT ME!

Specified by:
  `addRow` in interface `RowData`
Parameters:
  `row` - DOCUMENT ME!

#### afterLast

    public void afterLast()

Moves to after last.

Specified by:
  `afterLast` in interface `RowData`

#### beforeFirst

    public void beforeFirst()

Moves to before first.

Specified by:
  `beforeFirst` in interface `RowData`

#### beforeLast

    public void beforeLast()

DOCUMENT ME!

Specified by:
  `beforeLast` in interface `RowData`

#### close

    public void close()

DOCUMENT ME!

Specified by:
  `close` in interface `RowData`

#### getAt

    public ResultSetRow getAt(int atIndex)
                       throws java.sql.SQLException

DOCUMENT ME!

Specified by:
  `getAt` in interface `RowData`
Parameters:
  `atIndex` - DOCUMENT ME!
Returns:
  DOCUMENT ME!
Throws:
  `java.sql.SQLException` - if a database error occurs

#### getCurrentRowNumber

    public int getCurrentRowNumber()

DOCUMENT ME!

Specified by:
  `getCurrentRowNumber` in interface `RowData`
Returns:
  DOCUMENT ME!

#### getOwner

    public ResultSetInternalMethods getOwner()

Description copied from interface: `RowData`
Returns the result set that 'owns' this RowData

Specified by:
  `getOwner` in interface `RowData`
See Also:
  `RowData.getOwner()`

#### hasNext

    public boolean hasNext()

DOCUMENT ME!

Specified by:
  `hasNext` in interface `RowData`
Returns:
  DOCUMENT ME!

#### isAfterLast

    public boolean isAfterLast()

Returns true if we got the last element.

Specified by:
  `isAfterLast` in interface `RowData`
Returns:
  DOCUMENT ME!

#### isBeforeFirst

    public boolean isBeforeFirst()

Returns if iteration has not occured yet.

Specified by:
  `isBeforeFirst` in interface `RowData`
Returns:
  DOCUMENT ME!

#### isDynamic

    public boolean isDynamic()

DOCUMENT ME!

Specified by:
  `isDynamic` in interface `RowData`
Returns:
  DOCUMENT ME!

#### isEmpty

    public boolean isEmpty()

DOCUMENT ME!

Specified by:
  `isEmpty` in interface `RowData`
Returns:
  DOCUMENT ME!

#### isFirst

    public boolean isFirst()

DOCUMENT ME!

Specified by:
  `isFirst` in interface `RowData`
Returns:
  DOCUMENT ME!

#### isLast

    public boolean isLast()

DOCUMENT ME!

Specified by:
  `isLast` in interface `RowData`
Returns:
  DOCUMENT ME!

#### moveRowRelative

    public void moveRowRelative(int rowsToMove)

DOCUMENT ME!

Specified by:
  `moveRowRelative` in interface `RowData`
Parameters:
  `rows` - DOCUMENT ME!

#### next

    public ResultSetRow next()
                      throws java.sql.SQLException

DOCUMENT ME!

Specified by:
  `next` in interface `RowData`
Returns:
  DOCUMENT ME!
Throws:
  `java.sql.SQLException` - if a database error occurs

#### removeRow

    public void removeRow(int atIndex)

DOCUMENT ME!

Specified by:
  `removeRow` in interface `RowData`
Parameters:
  `atIndex` - DOCUMENT ME!

#### setCurrentRow

    public void setCurrentRow(int newIndex)

DOCUMENT ME!

Specified by:
  `setCurrentRow` in interface `RowData`
Parameters:
  `newIndex` - DOCUMENT ME!

#### setOwner

    public void setOwner(ResultSetImpl rs)

Description copied from interface: `RowData`
Set the result set that 'owns' this RowData

Specified by:
  `setOwner` in interface `RowData`
Parameters:
  `rs` - the result set that 'owns' this RowData
See Also:
  `com.mysql.jdbc.RowData#setOwner(com.mysql.jdbc.ResultSetInternalMethods)`

#### size

    public int size()

DOCUMENT ME!

Specified by:
  `size` in interface `RowData`
Returns:
  DOCUMENT ME!

#### wasEmpty

    public boolean wasEmpty()

Description copied from interface: `RowData`
Did this result set have no rows?

Specified by:
  `wasEmpty` in interface `RowData`

#### setMetadata

    public void setMetadata(Field[] metadata)

Description copied from interface: `RowData`
Sometimes the driver doesn't have metadata until after the statement has the result set in-hand (because it's cached), so it can call this to set it after the fact.

Specified by:
  `setMetadata` in interface `RowData`
Parameters:
  `metadata` - field-level metadata for the result set